GET /batch/scrape/{id}
Poll a batch scrape job’s status and get result download links.
GET
Get batch scrape status
Poll the status of a batch scrape job started with
POST /batch/scrape. Once completed, s3PresignedUrls provides
download links for the result artifacts.
Path parameters
id(string, required): Batch scrape job ID returned byPOST /batch/scrape.
Responses
- 200:
id,status(scraping,completed,failed,cancelled),limit,total,completed,failed,pending,inFlight,createdAt,completedAt,duration,s3PresignedUrls(download links, once available),error(failure message whenstatusisfailed). - 404: Batch scrape job not found.
- 503: Batch scrape result store unavailable.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Batch scrape job ID returned by POST /batch/scrape.
Response
Batch scrape status metadata
Current state of a batch scrape job.
Available options:
scraping, completed, failed, cancelled Total URLs attempted so far.
ISO 8601 timestamp the job started.
Elapsed seconds since the job started.
Presigned download URLs for the job's result artifacts, once completed.
Failure message when status is failed.
